package org.softevo.apibirthmark.asmadapters.proxies.classHierarchy;

/**
 * ClassEntry holds information about a class. Its name, super class and interfaces.
 *
 * @author schuler
 *
 */
public class ClassEntry {
	String className;

	String superClass;

	String[] interfaces;

	public ClassEntry(String className, String superClass, String[] interfaces) {
		this.className = className;
		this.superClass = superClass;
		this.interfaces = interfaces;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		StringBuffer buffer = new StringBuffer();
		buffer.append("Class name: " + className + "\n");
		buffer.append("Superclass: " + superClass + "\n");
		if (interfaces != null) {
			buffer.append("Interfaces: ");
			for (int i = 0; i < interfaces.length; i++){
				buffer.append(" , " + interfaces[i]);
			}
		}
		buffer.append("\n");
		return buffer.toString();
	}
}
