package org.softevo.apibirthmark.tracing.mapping;

/**
 * Exception that is thrown, when there are failures in the ID computation
 *
 * @author schuler
 *
 */
public class IDMapError extends RuntimeException {

	private static final long serialVersionUID = 1L;

	/**
	 * Creates new IDMapError
	 */
	public IDMapError() {
		super();
	}

	/**
	 * Creates new IDMapError with given message
	 *
	 * @param message
	 *            Error message
	 */
	public IDMapError(String message) {
		super(message);
	}

}
