package org.softevo.apibirthmark.tracing.tracehandler;

import org.softevo.apibirthmark.tracing.Tracer.TraceObject;

/**
 * @author schuler
 *
 */
public interface TraceObjectHandler {

	/**
	 * Process given trace Object. this method is called for every traced call
	 * by the Tracer class
	 *
	 * @param traceObject
	 */
	public void handle(TraceObject traceObject);

	/**
	 * Reports the tracing results. Typically write results to file and print a
	 * short information
	 */
	public void report();

}
