package org.softevo.apibirthmark.tracing.tracehandler;

import java.util.Vector;

import org.softevo.apibirthmark.constants.Constants;

import org.softevo.apibirthmark.tracing.Tracer.TraceObject;
import org.softevo.apibirthmark.validation.TraceGenerator;

public class ValidationHandler implements TraceObjectHandler{
	
	Vector<TraceObject> traceObjectVector = new Vector<TraceObject>();
	
	public void handle(TraceObject traceObject) {
		traceObjectVector.add(traceObject);
	}

	public void report() {
		TraceGenerator.saveTraceObjectVectorToFile(traceObjectVector, Constants.VALIDATION_OBSERVED_TRACE_FILE);
	}
}
